#include "y_timer.h"

#include "app_timer.h"
#include <stdint.h>
#include <stdio.h>

#define APP_TIMER_PRESCALER              0                                          /**< Value of the RTC1 PRESCALER register. */
#define APP_TIMER_OP_QUEUE_SIZE          4                                          /**< Size of timer operation queues. */

#define SENSOR_CONTACT_DETECTED_INTERVAL APP_TIMER_TICKS(1000, APP_TIMER_PRESCALER) /**< Sensor Contact Detected toggle interval (ticks). */


APP_TIMER_DEF(m_sensor_contact_timer_id);                                           /**< Sensor contact detected timer. */

//staticĂƑ̐lGȂ
static void timer_timeout_handler(void * p_context) //̃nh͈ȂƂ߂炵
{
    UNUSED_PARAMETER(p_context); //p[^nĂۂĂ邾@
    //static bool sensor_contact_detected = false;

		ul_pasttime++;
	printf("    ul_pasttime ++\r\n");
    //sensor_contact_detected = !sensor_contact_detected;
    //ble_hrs_sensor_contact_detected_update(&m_hrs, sensor_contact_detected);
	  //Kv킩炸RgAEg
}

void timers_init(void) //ݒ
{
    uint32_t err_code;
	
		ul_pasttime = 0;
	
    // Initialize timer module.
    APP_TIMER_INIT(APP_TIMER_PRESCALER, APP_TIMER_OP_QUEUE_SIZE, false);

    // Create timers.
	  //^C}[؂ꂽ3ڂ̈̊֐΂ۂ
	  //
    err_code = app_timer_create(&m_sensor_contact_timer_id,
                                APP_TIMER_MODE_REPEATED,
                                timer_timeout_handler);
    APP_ERROR_CHECK(err_code);
}

/**@brief Function for starting application timers.
 */
void application_timers_start(void) //X^[g
{
    uint32_t err_code;

    // Start application timers.
    err_code = app_timer_start(m_sensor_contact_timer_id, SENSOR_CONTACT_DETECTED_INTERVAL, NULL);
    APP_ERROR_CHECK(err_code);
}
unsigned long millis(void){
	return ul_pasttime;
}
